pa_stream_writable_size() failed

Bug #417976 reported by Mathieu Marquer on 2009-08-24
72
This bug affects 16 people
Affects Status Importance Assigned to Milestone
pulseaudio (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: pulseaudio

Using Ubuntu 9.10 alpha up-to-date as of 23 August, on a Samsung NC10 netbook.

When I use sound applications (Totem, Songbird, Spotify with WINE, etc.), the sound will crash randomly (could be every 10 minutes or every hour) with the message "pa_stream_writable_size() failed" or "pa_stream_writable_size() failed : connexion refused".

Please let me know if you need additionnal informations.

ProblemType: Bug
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC272 Analog [ALC272 Analog]
   Subdevices: 0/1
   Subdevice #0: subdevice #0
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC272 Analog [ALC272 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: mathieu 9696 F.... pulseaudio
 /dev/snd/pcmC0D0p: mathieu 9696 F...m pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf0340000 irq 22'
   Mixer name : 'Realtek ALC272'
   Components : 'HDA:10ec0272,144dca00,00100001'
   Controls : 19
   Simple ctrls : 12
Date: Sun Aug 23 21:48:01 2009
DistroRelease: Ubuntu 9.10
Package: pulseaudio 1:0.9.16~test5-0ubuntu2 [modified: usr/bin/pulseaudio usr/lib/libpulsecore-0.9.16.so]
ProcEnviron:
 LANG=fr_FR.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-6.26-generic
SourcePackage: pulseaudio
Uname: Linux 2.6.31-6-generic i686

Mathieu Marquer (slasher-fun) wrote :

Same bug happening to me. Only FLAC files can be played. Every other file type (MP3, MPEG etc) causes the player to crash right away with the same "pa_stream_writable_size() failed"

ceverett (ceverett-ceverett) wrote :

I can confirm this bug, except that for me it fails intemittently, mostly in totem.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pulseaudio - 1:0.9.22~0.9.21+341-g62bf-0ubuntu1

---------------
pulseaudio (1:0.9.22~0.9.21+341-g62bf-0ubuntu1) lucid; urgency=low

  * New snapshot based on stable-queue git branch (testing requested
    specifically by upstream)
    - LP: #164745, #173212, #201391, #204536, #207796, #210016, #221038,
    - LP: #226342, #230408, #236423, #237443, #250059, #269585, #274304,
    - LP: #274577, #275474, #277532, #277566, #277932, #278025, #280534,
    - LP: #283049, #286816, #287036, #292732, #298011, #298301, #300290,
    - LP: #302038, #311497, #311853, #324062, #339448, #344057, #348979,
    - LP: #350829, #356206, #367379, #367544, #369822, #371897, #374846,
    - LP: #375570, #381801, #399515, #402950, #403786, #408169, #409322,
    - LP: #409723, #410326, #410446, #417695, #417976, #419271, #421072,
    - LP: #422774, #423979, #424655, #425028, #427016, #431072, #432660,
    - LP: #437640, #437996, #442191, #443306, #443389, #446719, #449762,
    - LP: #455417, #461532, #464652, #483191, #497537, #503780
  * debian/patches/:
    + add: 0099-change-configure-git-version-tag.patch: Match released
           upstream 0.9.21 for shlibs and LIBPULSE_VERSION_INFO
    - drop: 0004-set-tsched0.patch (no longer relevant)
            0050-revert-pacmd-poll-argv.patch (no longer relevant)
            0056-dont-bail-on-sound-class-modem.patch (merged)
            0056-ignore-sound-class-modem.patch (merged)
            0058-Backport-4c793.patch (merged)
            0059-Backport-978d3.patch (merged)
            0060-fix-implicit-func-decl-cpu-arm.patch (merged)
            0061-Backport-c5fdb.patch (merged)
            0070-dont-bail-on-sound-class-modem-devs.patch (merged)
    + refresh: 0001-change-resample-and-buffering.patch
               0090-disable-flat-volumes.patch
               0091-dont-load-cork-music-on-phone.patch
               0057-load-module-x11-bell.patch
 -- Daniel T Chen <email address hidden> Thu, 14 Jan 2010 20:33:05 -0500

Changed in pulseaudio (Ubuntu):
status: New → Fix Released
intropedro (intropedro2) wrote :

I have Ubuntu Lucid 10.04 and pulseaudio 1:0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu14 and I have the same problem always when playing a dvd:

>> totem
libdvdread: Using libdvdcss version 1.2.10 for DVD access
libdvdread: Couldn't find device name.
libdvdnav: Using dvdnav version 4.1.3
libdvdread: Using libdvdcss version 1.2.10 for DVD access
libdvdread: Couldn't find device name.
libdvdnav: Can't read name block. Probably not a DVD-ROM device.
libdvdnav: Unable to find map file '/home/intropedro/.dvdnav/.map'
libdvdnav: DVD disk reports itself with Region mask 0x00000000. Regions: 1 2 3 4 5 6 7 8
libdvdnav: RANDOM or SHUFFLE titles are NOT handled yet.
libdvdnav: RANDOM or SHUFFLE titles are NOT handled yet.
** Message: Error: pa_stream_writable_size() failed: Conexión finalizada
pulsesink.c(1386): gst_pulseringbuffer_commit (): /GstPlayBin2:play/GstPlaySink:playsink0/GstBin:abin/GstBin:audiosinkbin/GstGConfAudioSink:audio-sink/GstBin:bin2/GstAutoAudioSink:autoaudiosink1/GstPulseSink:autoaudiosink1-actual-sink-pulse

Intropedro, please see https://wiki.ubuntu.com/PulseAudio/Log and attach its
resulting verbose log to a new bug report, thanks.

On May 5, 2010 5:36 PM, "intropedro" <email address hidden> wrote:

I have Ubuntu Lucid 10.04 and pulseaudio 1:0.9.22~0.9.21+stable-
queue-32-g8478-0ubuntu14 and I have the same problem always when playing
a dvd:

>> totem
libdvdread: Using libdvdcss version 1.2.10 for DVD access
libdvdread: Couldn't find device name.
libdvdnav: Using dvdnav version 4.1.3
libdvdread: Using libdvdcss version 1.2.10 for DVD access
libdvdread: Couldn't find device name.
libdvdnav: Can't read name block. Probably not a DVD-ROM device.
libdvdnav: Unable to find map file '/home/intropedro/.dvdnav/.map'
libdvdnav: DVD disk reports itself with Region mask 0x00000000. Regions: 1 2
3 4 5 6 7 8
libdvdnav: RANDOM or SHUFFLE titles are NOT handled yet.
libdvdnav: RANDOM or SHUFFLE titles are NOT handled yet.
** Message: Error: pa_stream_writable_size() failed: Conexión finalizada
pulsesink.c(1386): gst_pulseringbuffer_commit ():
/GstPlayBin2:play/GstPlaySink:playsink0/GstBin:abin/GstBin:audiosinkbin/GstGConfAudioSink:audio-sink/GstBin:bin2/GstAutoAudioSink:autoaudiosink1/GstPulseSink:autoaudiosink1-actual-sink-pulse

--
pa_stream_writable_size() failed
https://bugs.launchpad.net/bugs/417976
You received this bug n...

Status in “pulseaudio” package in Ubuntu: Fix Released

Bug description:

Binary package hint: pulseaudio

Using Ubuntu 9.10 alpha up-to-date as of 23 August, on a Samsung NC...

intropedro (intropedro2) wrote :

When it gives the error in the totem the last command fails:

>> intropedro@pcpedro:~$ echo autospawn = no >> ~/.pulse/client.conf
>> intropedro@pcpedro:~$ killall pulseaudio
>> intropedro@pcpedro:~$ LANG=C pulseaudio -vvvv > ~/pulseverbose.log 2>&1
>> Terminado (killed)

rad_sci_guy (radsciguy) wrote :

This error is now happening to me on Ubuntu 10.10 with Totem.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers